[MediaWiki-l] Parsoid and Visual Editor over HTTPS

P. Josepherum papaverjosepherum at gmail.com
Thu Dec 17 00:18:46 UTC 2015


Hey I've been struggling for a few days to configure my 1.26 MW to use
visual editor with HTTPS enabled.

My server is running NGINX on Debian, I have installed the native Parsoid
package and configured my settings.js and LocalSettings.php as follows:

http://hastebin.com/ixebuhunot.coffee

Parsoid works as expected and will render pages as per:
http://psychonautwiki.org:8142/pw/

However when trying to edit pages using Visual Editor in MediaWiki, I get
an error like: MediaWiki-API-Error:(curl error: 35) SSL connect error.

>From the docs, I can't figure out what the issue is and hope that somebody
else has encountered this before.

I've left it enabled in case anybody can take a look at the console and
find any clues (I don't know what I'm doing)

Much appreciated.

-- 
‚ÄčLove and waffles,


P. Josepherum |  http://psychonautwiki.org/


More information about the MediaWiki-l mailing list